Get profile deployment
GET /api/v1/profiledeployments/id/. App profiles API reference.
Get profile deployment
Authentication · API availability · Download OpenAPI
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Not Found. The API gateway did not process the request because the requested resource could not be found.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
unique Id of the deployment
Response
A successful response.
Profile Deployment is a proto that should be used by user-agents to create/update deployments
User defined name of the deployment, unique across the enterprise. Once deployment is created, name can’t be changed.
Required string length:
3 - 256Pattern:
[a-zA-Z0-9][a-zA-Z0-9_.-]+project id
app profile id
asset group info
unique Id of the deployment.
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}User defined title of the deployment. Title can be changed at any time.
Required string length:
3 - 256Pattern:
[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Detailed description of the deployment.
Maximum string length:
256